Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions
pty.c File Reference
`#include "ruby/config.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/file.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <ctype.h>`
`#include "ruby/io.h"`
`#include "internal.h"`
`#include "ruby/util.h"`
`#include <signal.h>`

Go to the source code of this file.

## Data Structures
struct | pty_info
struct | child_info

## Macros
#define | WIFSTOPPED(status) (((status) & 0xff) == 0x7f)
#define | DEVICELEN 16
#define | ERROR_EXIT(str)
#define | HEX1(c)

## Functions
| NORETURN (static void raise_from_check(rb_pid_t pid, int status))
void | Init_pty (void)

## Macro Definition Documentation

## ◆ DEVICELEN

#define DEVICELEN 16

Definition at line 51 of file pty.c.

## ◆ ERROR_EXIT

#define ERROR_EXIT | ( |  | str | ) |

Value:
do { \
strlcpy(errbuf, (str), errbuf_len); \
return -1; \
} while (0)

## ◆ HEX1

#define HEX1 | ( |  | c | ) |

Value:
c"0",c"1",c"2",c"3",c"4",c"5",c"6",c"7", \
c"8",c"9",c"a",c"b",c"c",c"d",c"e",c"f"

## ◆ WIFSTOPPED

#define WIFSTOPPED | ( |  | status | ) | (((status) & 0xff) == 0x7f)

Definition at line 34 of file pty.c.

## Function Documentation

## ◆ Init_pty()

void Init_pty | ( | void |  | ) |

Definition at line 741 of file pty.c.

## ◆ NORETURN()

NORETURN | ( | static void | raise_from_checkrb_pid_t pid, int status | ) |

str
char str[HTML_ESCAPE_MAX_LEN+1]
Definition: escape.c:18